/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.fachstelle;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class FachstelleTestFactory {
	public static final String ID = UUID.randomUUID().toString();
	public static final String MUK_ID = UUID.randomUUID().toString();
	public static final String FIRMEN_NAME = LoremIpsum.getInstance().getWords(2);
	public static final String RECHTSFORM = LoremIpsum.getInstance().getWords(1);
	public static final String RECHTSFORM_TEXT = LoremIpsum.getInstance().getWords(1);
	public static final String REGISTER_NUMMER = UUID.randomUUID().toString();
	public static final String REGISTER_ART = LoremIpsum.getInstance().getWords(1);
	public static final String EMAIL_ADRESSE = LoremIpsum.getInstance().getEmail();
	public static final String ANSCHRIFT = LoremIpsum.getInstance().getWords(5);

	public static Fachstelle create() {
		return createBuilder().build();
	}

	public static Fachstelle createWithoutId() {
		return createBuilder().id(null).build();
	}

	public static Fachstelle.FachstelleBuilder createBuilder() {
		return Fachstelle.builder()
				.id(ID)
				.mukId(MUK_ID)
				.firmenName(FIRMEN_NAME)
				.rechtsform(RECHTSFORM)
				.rechtsformText(RECHTSFORM_TEXT)
				.registerNummer(REGISTER_NUMMER)
				.registerArt(REGISTER_ART)
				.emailAdresse(EMAIL_ADRESSE)
				.anschrift(ANSCHRIFT);
	}
}
