/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.organisationseinheit;

import java.util.UUID;

import de.ozgcloud.zufi.organisationseinheit.Zustaendigkeit.ZustaendigkeitBuilder;

public class ZustaendigkeitTestFactory {
	public static final String GEBIET_ID = UUID.randomUUID().toString();
	public static final XzufiId XZUFI_ID = XzufiIdTestFactory.create();

	public static Zustaendigkeit create() {
		return createBuilder().build();
	}

	public static Zustaendigkeit createWithId(String id) {
		return createBuilder()
				.xzufiId(XzufiIdTestFactory.createWithId(id))
				.build();
	}

	public static ZustaendigkeitBuilder createBuilder() {
		return Zustaendigkeit.builder()
				.gebietId(GEBIET_ID)
				.xzufiId(XZUFI_ID);
	}
}
