/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.organisationseinheit;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.ReportingPolicy;
import org.springframework.beans.factory.annotation.Autowired;

import de.ozgcloud.zufi.schema.TransferOperation040502;

@Mapper(unmappedTargetPolicy = ReportingPolicy.WARN, uses = TransferOperationEntryMapper.class)
abstract class TransferOperationMapper {

	@Autowired
	private XzufiObjekteUnmarshaller xzufiObjekteUnmarshaller;

	public TransferOperation fromAntwortTransfernachricht(AntwortTransfernachricht antwortTransfernachricht) {
		return fromXzufi(xzufiObjekteUnmarshaller.unmarshal(antwortTransfernachricht.xzufiObjekte()));
	}

	@Mapping(target = "entries", source = "transferOperation")
	abstract TransferOperation fromXzufi(TransferOperation040502 transferOperation);

}
