/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.organisationseinheit;

import org.mapstruct.CollectionMappingStrategy;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueCheckStrategy;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheit;

@Mapper(uses = { GrpcAnschriftMapper.class,
		GrpcXzufiIdMapper.class }, collectionMappingStrategy = CollectionMappingStrategy.ADDER_PREFERRED, nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
interface GrpcOrganisationsEinheitMapper {

	@Mapping(target = "mergeFrom", ignore = true)
	@Mapping(target = "clearField", ignore = true)
	@Mapping(target = "clearOneof", ignore = true)
	@Mapping(target = "mergeUnknownFields", ignore = true)
	@Mapping(target = "unknownFields", ignore = true)
	@Mapping(target = "allFields", ignore = true)
	@Mapping(target = "mergeAnschrift", ignore = true)
	@Mapping(target = "idBytes", ignore = true)
	@Mapping(target = "synonymeBytes", ignore = true)
	@Mapping(target = "nameBytes", ignore = true)
	@Mapping(target = "mergeXzufiId", ignore = true)
	@Mapping(target = "zustaendigkeitenBuilderList", ignore = true)
	@Mapping(target = "zustaendigkeitenOrBuilderList", ignore = true)
	@Mapping(target = "removeZustaendigkeiten", ignore = true)
	@Mapping(target = "vorgangManagerAddressBytes", ignore = true)
	@Mapping(target = "zustaendigkeitenList.mergeFrom", ignore = true)
	@Mapping(target = "zustaendigkeitenList.clearField", ignore = true)
	@Mapping(target = "zustaendigkeitenList.clearOneof", ignore = true)
	@Mapping(target = "zustaendigkeitenList.mergeUnknownFields", ignore = true)
	@Mapping(target = "zustaendigkeitenList.gebietIdBytes", ignore = true)
	@Mapping(target = "zustaendigkeitenList.allFields", ignore = true)
	@Mapping(target = "zustaendigkeitenList.unknownFields", ignore = true)
	@Mapping(target = "zustaendigkeitenList.mergeXzufiId", ignore = true)

	@Mapping(target = "zustaendigkeitenList", source = "zustaendigkeiten")
	GrpcOrganisationsEinheit fromOrganisationsEinheit(OrganisationsEinheit organisationsEinheit);

}
