/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.fachstelle;

import de.ozgcloud.zufi.grpc.fachstelle.GrpcFachstelleRegistrationRequest;

class GrpcFachstelleRegistrationRequestTestFactory {
	
	public static GrpcFachstelleRegistrationRequest create() {
		return createBuilder().build();
	}

	public static GrpcFachstelleRegistrationRequest createWithoutMukId() {
		return createBuilder(false).build();
	}

	public static GrpcFachstelleRegistrationRequest.Builder createBuilder() {
		return createBuilder(true);
	}

	private static GrpcFachstelleRegistrationRequest.Builder createBuilder(boolean withMukId) {
		var builder = GrpcFachstelleRegistrationRequest.newBuilder();
		if (withMukId) {
			builder = builder.setMukId(FachstelleTestFactory.MUK_ID);
		}
		return builder
				.setFirmenName(FachstelleTestFactory.FIRMEN_NAME)
				.setRechtsform(FachstelleTestFactory.RECHTSFORM)
				.setRechtsformText(FachstelleTestFactory.RECHTSFORM_TEXT)
				.setRegisterNummer(FachstelleTestFactory.REGISTER_NUMMER)
				.setRegisterArt(FachstelleTestFactory.REGISTER_ART)
				.setEmailAdresse(FachstelleTestFactory.EMAIL_ADRESSE)
				.setAnschrift(FachstelleTestFactory.ANSCHRIFT);
	}
}
