/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.fachstelle;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.zufi.grpc.fachstelle.GrpcFachstelleSearchRequest;

class GrpcFachstelleSearchRequestTestFactory {
	public static final String SEARCH_BY = LoremIpsum.getInstance().getWords(1);

	public static GrpcFachstelleSearchRequest create() {
		return createBuilder().build();
	}

	public static GrpcFachstelleSearchRequest.Builder createBuilder() {
		return GrpcFachstelleSearchRequest.newBuilder().setSearchBy(SEARCH_BY);
	}
}
