/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.zufi.organisationseinheit;

import java.util.List;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcVorgangManagerRegistrationRequest;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId;

class GrpcVorgangManagerRegistrationRequestTestFactory {
	public static final List<String> ORGANISATIONS_EINHEITEN_IDS = List.of(UUID.randomUUID().toString(), UUID.randomUUID().toString());
	public static final GrpcXzufiId GRPC_ORGANISATIONS_EINHEIT_XZUFI_ID_1 = GrpcXzufiIdTestFactory
			.create();
	public static final GrpcXzufiId GRPC_ORGANISATIONS_EINHEIT_XZUFI_ID_2 = GrpcXzufiIdTestFactory
			.create(UUID.randomUUID().toString(), UUID.randomUUID().toString());
	public static final List<GrpcXzufiId> GRPC_ORGANISATIONS_EINHEIT_XZUFI_IDS = List.of(
			GRPC_ORGANISATIONS_EINHEIT_XZUFI_ID_1,
			GRPC_ORGANISATIONS_EINHEIT_XZUFI_ID_2);

	public static final String ADDRESS = LoremIpsum.getInstance().getUrl();

	static GrpcVorgangManagerRegistrationRequest create() {
		return createBuilder().build();
	}

	static GrpcVorgangManagerRegistrationRequest.Builder createBuilder() {
		return GrpcVorgangManagerRegistrationRequest.newBuilder()
				.addAllOrganisationsEinheitIds(ORGANISATIONS_EINHEITEN_IDS)
				.addAllXzufiIds(GRPC_ORGANISATIONS_EINHEIT_XZUFI_IDS)
				.setServiceAddress(ADDRESS);
	}
}
